import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:carillon_map_box/carillon_map_box.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('CarillonMapBox Example (convenient)'),
        ),
        body: Center(
          child: CarillonMapBox(onCarillonMapBoxCreated: _onCarillonMapBoxCreated),
        ),
        floatingActionButton: FloatingActionButton(
          onPressed: () {
            CarillonMapBox.startNavigation();
          },
        ),
      ),
    );
  }

  void _onCarillonMapBoxCreated(CarillonMapBoxController controller) {
  }
}
